vennaVenna

Responses

Stateful Responses API.

POST
/v1/responses
AuthorizationBearer <token>

Workspace API key — Authorization: Bearer vk_.... Billing targets the key workspace.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/responses" \  -H "Content-Type: application/json" \  -d '{    "input": "string",    "model": "venna-1"  }'
{  "background": true,  "created_at": 0,  "error": {    "code": "string",    "message": "string"  },  "id": "string",  "incomplete_details": {    "reason": "string"  },  "metadata": {    "property1": "string",    "property2": "string"  },  "model": "string",  "object": "response",  "output": [    {      "content": [        {          "annotations": [            null          ],          "text": "string",          "type": "output_text"        }      ],      "id": "string",      "role": "assistant",      "status": "completed",      "type": "message"    }  ],  "previous_response_id": "string",  "service_tier": "auto",  "status": "queued",  "store": true,  "system_fingerprint": "string",  "usage": {    "input_tokens": 0,    "input_tokens_details": {      "cached_tokens": 0    },    "output_tokens": 0,    "output_tokens_details": {      "reasoning_tokens": 0    },    "total_tokens": 0  }}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
GET
/v1/responses/{id}
AuthorizationBearer <token>

Workspace API key — Authorization: Bearer vk_.... Billing targets the key workspace.

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/responses/abc"
{  "background": true,  "created_at": 0,  "error": {    "code": "string",    "message": "string"  },  "id": "string",  "incomplete_details": {    "reason": "string"  },  "metadata": {    "property1": "string",    "property2": "string"  },  "model": "string",  "object": "response",  "output": [    {      "content": [        {          "annotations": [            null          ],          "text": "string",          "type": "output_text"        }      ],      "id": "string",      "role": "assistant",      "status": "completed",      "type": "message"    }  ],  "previous_response_id": "string",  "service_tier": "auto",  "status": "queued",  "store": true,  "system_fingerprint": "string",  "usage": {    "input_tokens": 0,    "input_tokens_details": {      "cached_tokens": 0    },    "output_tokens": 0,    "output_tokens_details": {      "reasoning_tokens": 0    },    "total_tokens": 0  }}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
DELETE
/v1/responses/{id}
AuthorizationBearer <token>

Workspace API key — Authorization: Bearer vk_.... Billing targets the key workspace.

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/responses/abc"
{  "deleted": true,  "id": "string",  "object": "response.deleted"}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
POST
/v1/responses/{id}/cancel
AuthorizationBearer <token>

Workspace API key — Authorization: Bearer vk_.... Billing targets the key workspace.

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/responses/abc/cancel"
{  "background": true,  "created_at": 0,  "error": {    "code": "string",    "message": "string"  },  "id": "string",  "incomplete_details": {    "reason": "string"  },  "metadata": {    "property1": "string",    "property2": "string"  },  "model": "string",  "object": "response",  "output": [    {      "content": [        {          "annotations": [            null          ],          "text": "string",          "type": "output_text"        }      ],      "id": "string",      "role": "assistant",      "status": "completed",      "type": "message"    }  ],  "previous_response_id": "string",  "service_tier": "auto",  "status": "queued",  "store": true,  "system_fingerprint": "string",  "usage": {    "input_tokens": 0,    "input_tokens_details": {      "cached_tokens": 0    },    "output_tokens": 0,    "output_tokens_details": {      "reasoning_tokens": 0    },    "total_tokens": 0  }}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
GET
/v1/responses/{id}/input_items
AuthorizationBearer <token>

Workspace API key — Authorization: Bearer vk_.... Billing targets the key workspace.

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/responses/abc/input_items"
{  "data": [    {      "content": "string",      "role": "user",      "type": "message"    }  ],  "first_id": "string",  "has_more": true,  "last_id": "string",  "object": "list"}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}